---
title: Create / Update Workspace
slug: create-update-workspace
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "In9a3cX5UZbcPLE9BIBRq",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/workspaces",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/workspaces"
      }
    ],
    "name": "Create / Update Workspace",
    "description": "<p>This enpoint allows us to create or update workspace.</p>\n<p>If you want to update Workspace using POST method you need to fill information for guid field or systemId field in request body.</p>\n<p>Example how to use custom values:</p>\n<p>You need to specify it for example like this:</p>\n<p>first value is guid of the custom field (for this case you can select all custom fields in this endpoint - <a href=\"https://tasker.stoplight.io/docs/tasker-api-v2/tasker_swagger.json/paths/~1client~1api~1v2~1customfields~1workspaces/get\" target=\"_blank\">https://tasker.stoplight.io/docs/tasker-api-v2/tasker_swagger.json/paths/~1client~1api~1v2~1customfields~1workspaces/get</a> ), and second is value of the custom field.\n\"customValues\":\n{\n\"f889fbe9-9d9b-3c8a-8549-e321ee7e3e34\": \"Custom Value\",\n\"f889fbe9-9d9b-3c8a-8549-e321ee7e3e35\": \"Custom Value 2\",\n\"f889fbe9-9d9b-3c8a-8549-e321ee7e3e38\": \"2\"\n}</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "title",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "client",
              "kind": "required",
              "type": "string",
              "description": "GUID or systemId of Client"
            },
            {
              "name": "city",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "address",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "apartmentNumber",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "latitude",
              "kind": "optional",
              "type": "number",
              "description": ""
            },
            {
              "name": "longitude",
              "kind": "optional",
              "type": "number",
              "description": ""
            },
            {
              "name": "serialNumber",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "note",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "objectCode",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "signatureCode",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "systemId",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from external system"
            },
            {
              "name": "customValues",
              "kind": "optional",
              "type": "string",
              "description": "<p>JSON object for custom field data (for example \"guid\": \"value\")</p>"
            },
            {
              "name": "guid",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from Frontu"
            },
            {
              "name": "deleted",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Mark if entity is archived (1) or active (0)</p>"
            },
            {
              "name": "warrantyRequired",
              "kind": "optional",
              "type": "boolean",
              "description": "Mark if the warranty indicator is required"
            },
            {
              "name": "warrantyIndicator",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "Warranty indicator",
              "format": "int32"
            },
            {
              "name": "warrantyStartDate",
              "kind": "optional",
              "type": "string",
              "description": "Warranty start date"
            },
            {
              "name": "warrantyEndDate",
              "kind": "optional",
              "type": "string",
              "description": "Warranty end date"
            },
            {
              "name": "extendedWarrantyEndDate",
              "kind": "optional",
              "type": "string",
              "description": "Extended warranty end date"
            },
            {
              "name": "warrantyIndicatorLimit",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "Warranty indicator limit",
              "format": "int32"
            },
            {
              "name": "zipCode",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "type",
              "kind": "required",
              "type": "string",
              "description": "<p>Which are type is object : warehouse or object</p>"
            },
            {
              "name": "fullAddress",
              "kind": "optional",
              "type": "string",
              "description": "Full workspace address"
            },
            {
              "name": "projectManager",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of User"
            },
            {
              "name": "technician",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of User"
            },
            {
              "name": "office",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Office"
            },
            {
              "name": "region",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Region"
            },
            {
              "name": "tags",
              "kind": "optional",
              "type": "array",
              "description": "<p>Tags to assign. Each value is matched against tag systemId, guid and title in that order; an unmatched value creates a new tag with that title.</p>",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Data contains errors",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "qzaRsbTDv7zRj7s0hB_Xc",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/workspaces \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"title\": \"\",\n     \"client\": \"\",\n     \"type\": \"\"\n     }'"
        },
        {
          "id": "cxozM59SWzjM_YC2SFZhU",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"title\": \"\",\n   \"client\": \"\",\n   \"type\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/workspaces\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "bNbMq3gR-JfaPH959SsK0",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/workspaces\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"title\": \"\",\n   \"client\": \"\",\n   \"type\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "Qsq8aRz-v9y1J2CnvOjbt",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/workspaces\"\n\npayload = json.dumps({\n   \"title\": \"\",\n   \"client\": \"\",\n   \"type\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "qzaRsbTDv7zRj7s0hB_Xc"
    },
    "results": {
      "languages": [
        {
          "id": "_LhMyw6oKzl7nMtYMiw5n",
          "language": "201",
          "code": "// Returned when successful\n"
        },
        {
          "id": "tLmiW4o-KWLfh9hh0ZaYq",
          "language": "400",
          "code": "// Data contains errors\n"
        }
      ],
      "selectedLanguageId": "_LhMyw6oKzl7nMtYMiw5n"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}